Loading...
Searching...
No Matches
OutputImageParam.h File Reference

Classes for declaring output image parameters to halide pipelines. More...

`#include "Argument.h"`
`#include "Dimension.h"`
`#include "Func.h"`
`#include "Var.h"`
`#include "runtime/HalideRuntime.h"`

Go to the source code of this file.

## Classes

class | Halide::OutputImageParam
| A handle on the output buffer of a pipeline. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Detailed Description

Classes for declaring output image parameters to halide pipelines.

Definition in file OutputImageParam.h.